Bug 1298901 - foreman-rake with no options throw an error
foreman-rake with no options throw an error
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.1.2
Unspecified Unspecified
unspecified Severity low (vote)
: GA
: --
Assigned To: satellite6-bugs
Bruno Rocha
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 06:58 EST by Ranjan Kumar
Modified: 2017-08-15 15:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 15684 None None None 2016-07-21 12:29 EDT

  None (edit)
Description Ranjan Kumar 2016-01-15 06:58:33 EST
Description of problem: Running foreman-rake command without any options throws exceptions.

Version-Release number of selected component (if applicable): 6.1.2

How reproducible: Simply open satellite console and enter foreman-rake without any options

Steps to Reproduce:
1. # foreman-rake

Actual results:
API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate cache.
rake aborted!
Please install the sqlite3 adapter: `gem install activerecord-sqlite3-adapter` (Could not find sqlite3 (~> 1.3.5) amongst [actionmailer-3.2.8, actionpack-3.2.8, activemodel-3.2.8, activerecord-3.2.8, activeresource-3.2.8, activesupport-3.2.8, addressable-2.3.5, algebrick-0.4.0, ancestry-2.0.0, anemone-0.7.2, angular-rails-templates-0.1.2, ansi-1.4.3, apipie-params-0.0.3, apipie-rails-0.2.5, archive-tar-minitar-0.5.2, arel-3.0.2, audited-3.0.0, audited-activerecord-3.0.0, autoparse-0.3.3, bastion-0.3.0.10, bigdecimal-1.1.0, builder-3.0.0, bundler-1.3.5, bundler_ext-0.3.0, commonjs-0.2.7, daemons-1.1.4, deep_cloneable-2.0.0, deface-0.7.2, diff-lcs-1.1.3, docker-api-1.17.0, dynflow-0.7.7.9, erubis-2.7.0, excon-0.38.0, extlib-0.9.16, faraday-0.8.8, fast_gettext-0.8.0, ffi-1.9.3, fog-1.24.0, fog-brightbox-0.0.1, fog-core-1.24.0, fog-json-1.0.0, fog-radosgw-0.0.3, fog-sakuracloud-0.1.1, fog-softlayer-0.3.9, fog-xml-0.1.0, foreigner-1.4.2, foreman-tasks-0.6.15.5, foreman_bootdisk-4.0.2.13, foreman_discovery-2.0.0.19, foreman_docker-1.2.0.20, foreman_gutterball-0.0.1.9, foreman_hooks-0.3.7, foreman_openscap-0.3.2.10, formatador-0.2.1, friendly_id-4.0.10.1, gettext_i18n_rails-0.10.0, gettext_i18n_rails_js-0.0.8, google-api-client-0.6.4, haml-3.1.6, haml-rails-0.3.4, hashr-0.0.22, hike-1.2.1, hooks-0.2.2, hpricot-0.8.6, i18n-0.6.0, i18n_data-0.2.7, io-console-0.3, ipaddress-0.8.0, journey-1.0.4, jquery-rails-2.0.2, jquery-ui-rails-4.0.2, json-1.5.5, justified-0.0.4, jwt-0.1.8, katello-2.2.0.67, launchy-2.3.0, ldap_fluff-0.3.2, less-2.5.1, less-rails-2.5.0, little-plugger-1.1.3, logging-1.8.1, mail-2.4.4, mime-types-1.19, minitest-3.5.0, multi_json-1.8.2, multipart-post-1.2.0, net-http-persistent-2.7, net-ldap-0.3.1, net-scp-1.1.0, net-ssh-2.6.7, nokogiri-1.5.11, oauth-0.4.7, openscap-0.4.2, passenger-4.0.18, pg-0.12.2, po_to_json-0.0.7, polyglot-0.3.3, qpid_messaging-0.30.0, rabl-0.9.0, rack-1.4.1, rack-cache-1.2, rack-protection-1.2.0, rack-ssl-1.3.2, rack-test-0.6.1, rails-3.2.8, railties-3.2.8, rake-0.9.2.2, rbovirt-0.0.29, rbvmomi-1.6.0, rdoc-3.12, redhat_access-0.2.3, redhat_access_lib-0.0.4, ref-1.0.0, rest-client-1.6.7, robotex-1.0.0, ruby-libvirt-0.5.1, ruby2ruby-2.0.1, ruby_parser-3.1.1, runcible-1.3.5, safemode-1.2.1, sass-3.2.13, scaptimony-0.3.0.1, scoped_search-2.7.1, secure_headers-1.3.3, sequel-3.45.0, sexp_processor-4.1.3, signet-0.4.5, sinatra-1.3.2, sprockets-2.10.1, sshkey-1.6.0, strong_parameters-0.2.1, therubyracer-0.11.0beta5, thor-0.18.1, tilt-1.3.3, tire-0.6.2, treetop-1.4.10, trollop-2.0, tzinfo-0.3.33, unf-0.1.3, unf_ext-0.0.6, uuidtools-2.1.3, validates_lengths_from_database-0.2.0, wicked-1.1.0, will_paginate-3.0.2])

Tasks: TOP => db:test:load_schema
(See full trace by running task with --trace)


Expected results:
It should display message similar to "Please provide valid option"


Additional info:
Comment 2 Bryan Kearney 2016-07-08 16:48:51 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 4 Ranjan Kumar 2016-07-21 12:31:30 EDT
Fixed and closed in upstream https://github.com/theforeman/foreman/pull/3647
Comment 5 Bryan Kearney 2016-07-21 14:13:24 EDT
Upstream bug component is Provisioning
Comment 6 Bryan Kearney 2016-07-21 14:13:26 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/15684 has been closed
Comment 9 Bruno Rocha 2016-11-14 14:14:39 EST
Verified in:

satellite-6.3.0-6.1.beta.el7sat.noarch - RHEL7

Conclusion: Help message showed with needed options


root@ibm-x3550m3-09 ~]# foreman-rake 
rake [-f rakefile] {options} targets...

Options are ...
        --backtrace=[OUT]            Enable full backtrace.  OUT can be stderr (default) or stdout.
        --comments                   Show commented tasks only
        --job-stats [LEVEL]          Display job statistics. LEVEL=history displays a complete job list
        --rules                      Trace the rules resolution
....

Note You need to log in before you can comment on or make changes to this bug.